Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mail.imap
Class IMAPSSLStore

    java.lang.Object
      |
      +--javax.mail.Service
            |
            +--javax.mail.Store
                  |
                  +--com.sun.mail.imap.IMAPStore
                        |
                        +--com.sun.mail.imap.IMAPSSLStore

All Implemented Interfaces:
  com.sun.mail.iap.ResponseHandler

public class IMAPSSLStore
extends IMAPStore

This class provides access to an IMAP message store over SSL.

Fields inherited from class javax.mail.Service
`debug, session, url`

Constructor Summary
`IMAPSSLStore(Session session, URLName url)` Constructor that takes a Session object and a URLName that represents a specific IMAP server.

Methods inherited from class com.sun.mail.imap.IMAPStore
`close, finalize, getDefaultFolder, getFolder, getFolder, getPersonalNamespaces, getQuota, getSharedNamespaces, getUserNamespaces, handleResponse, hasCapability, isConnected, protocolConnect, setPassword, setQuota, setUsername`

Methods inherited from class javax.mail.Store
`addFolderListener, addStoreListener, notifyFolderListeners, notifyFolderRenamedListeners, notifyStoreListeners, removeFolderListener, removeStoreListener`

Methods inherited from class javax.mail.Service
`addConnectionListener, connect, connect, connect, getURLName, notifyConnectionListeners, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IMAPSSLStore

    public IMAPSSLStore(Session session,
                        URLName url)

  Constructor that takes a Session object and a URLName that represents a specific IMAP server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD